Public APIAPI ReferenceDeployments
Receive deployment events in real time.
Beta API
The /v1 API contract may change, including breaking changes without compatibility aliases.
GET
/v1/apps/{appId}/deployments/{deploymentId}/events/streamReceive log and done SSE events starting from after or Last-Event-ID. Corresponds to the ntro logs --follow command.
Authorization
bearerAuth AuthorizationBearer <token>
Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.
In: header
Path Parameters
appId*string
deploymentId*string
Query Parameters
after?string
Response Body
text/event-stream
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/apps/string/deployments/string/events/stream""string"